This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 431177

Summary: Can't change CD
Product: [Fedora] Fedora Reporter: Dean Kolosiek <kolosiek>
Component: qemuAssignee: David Woodhouse <dwmw2>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 8CC: hdegoede
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-11 06:07:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dean Kolosiek 2008-02-01 05:05:11 EST
Description of problem:

At the QEMU monitor prompt the 'eject cdrom' and 'eject -f cdrom' commands don't
work. After using the bash eject command and inserting another CD, and issuing
QEMU 'change cdrom /dev/cdrom' command the CD is not readable. In this case I'm
trying to install Windows 2000 Upgrade which requires verifying my Windows NT CD.

Started QEMU using

    qemu -hda win2000.img -boot d -cdrom /dev/cdrom -m 256 -localtime

Version-Release number of selected component (if applicable):

   0.9.0

How reproducible:

   Always
Comment 1 Daniel Berrange 2008-06-11 06:07:17 EDT
You can use the QEMU monitor interface to change CDROM media, as per this doc:

http://bellard.org/qemu/qemu-doc.html#SEC13